org.mariadb.jdbc.internal.mysql.listener

## Class AbstractMastersListener.FailLoop

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.listener.AbstractMastersListener.FailLoop

All Implemented Interfaces:
  Runnable

Enclosing class:
  AbstractMastersListener

    protected class AbstractMastersListener.FailLoop
    extends Object
    implements Runnable

private class to permit a timer reconnection loop

### Constructor Summary

Constructors
Constructor and Description
`FailLoop(Listener listener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailLoop

    public FailLoop(Listener listener)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`